Chat now with support
Chat with Support

Foglight 5.9.5 - Upgrade Guide

Understand product versions Best practices Upgrade the Foglight Management Server Upgrade the Foglight Agent Manager Upgrade the Application Monitoring cartridges Upgrade the Database cartridges Upgrade the End User Management cartridges Upgrading the Infrastructure Management cartridges Upgrade the Integration cartridges Upgrade the cartridges in a federated or High Availability (HA) environment Appendix: Deploying an agent package using the browser interface

Embedded Agent Manager

An upgrade to the Management Server version 5.9.x automatically updates the Agent Manager adapter that is embedded in the Management Server to version 5.9.x. The embedded Agent Manager adapter is backward compatible with all previous versions of the Agent Manager client.

Agent Manager client installation cartridges

As of Foglight 5.6.5, the JREs for all Agent Manager-supported platforms are updated to a newer version of the Java® Runtime Environment (JRE). Therefore, if you are upgrading from a pre-5.6.2.6 version of the Agent Manager, you must download and install either one or more platform-specific Agent Manager client installation cartridges (FglAM-<platform>-<version>.car) or the large all-platform client installation cartridge (FglAM-all-<version>.car) before you can push an upgrade to a client. It is not possible to use the patch upgrade cartridge (FglAM-patch-<version>.car) for this, because it does not include the JREs.

Upgrade difficulty: Easy

Expected time: 1 minute for a cartridge (depending on the network speed)

Client-side Agent Managers

It is not necessary to update client-side Agent Managers unless there is a particular enhancement or defect that you want to address on the client side.

Once you have the necessary client installation cartridges installed, updating individual clients is an easy process, but a large number of clients may make it time consuming. It is recommended that you leave your existing Agent Manager clients in place unless you have a specific defect or enhancement that you need to address or you want to deploy an agent that requires the new version of the client.

Agent Manager upgrades from a 5.5.4.x legacy release require an intermediary upgrade to 5.6.7 prior to upgrading to 5.8.1 or later. To complete this intermediary upgrade, install one or more of the Agent Manager 5.6.7 platform-specific cartridges (as required), and upgrade the legacy hosts to this release before deploying the 5.9.x Agent Manager cartridge or upgrading the Foglight Management Server to version 5.9.x. After all of the legacy hosts are running version 5.6.7, and the Foglight Management Server is upgraded to version 5.9.x, you can start upgrading your hosts to Agent Manager version 5.9.x.

Upgrade difficulty: Easy

Expected time: 5 minutes per client

It is often unnecessary to upgrade the agents. Only upgrade the agents if it is necessary. Also, if you require agent upgrades, but they are less important, schedule them for later.

Application Monitoring cartridges

The following Application Monitoring cartridges are currently available:

Related Documents